extern "C" {
#include <stdio.h>
}
#include "KW.H"

#define SHOW(x)	printf( #x ## ": "), (x).print()

main()
{
    KW a;
    KW b("is");

    SHOW(a);
    SHOW(b);

    a += "HELLO";
    SHOW(a);

    a += " ";
    a += b;
    SHOW(a);

    a.reset();
    SHOW(a);

    a = "STRING";
    SHOW(a);

    printf("(char*)a = (%s)\n", (char*)a);

    a = b;
    SHOW(a);

    a += 0;
    SHOW(a);
}
